Page MenuHomePhabricator

Make it possible to handle sub-entities in the storage layer of Wikibase (days: 1)
Closed, ResolvedPublic

Description

Should rely on the HierarchicalEntityId concept, once it has been added to the Wikibase Data Model.

The current draft at https://gerrit.wikimedia.org/r/394070 allows extensions to decorate both the EntityStore and the EntityRevisionLookup with a thin layer that knows about a specific type of "sub-entities" (in this case: Forms), and forwards calls appropriately. This decoration layer lives in the Lexeme extension, and uses Lexeme vocabulary. "Sub-entities" or "hierarchies" are never mentioned in this code.

As a consequence, the concept of "sub-entities" will (for now) exclusively live in the Lexeme code base.

Patch-For-Review:

Related Objects

Event Timeline

Change 378786 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Daniel Kinzler):
[mediawiki/extensions/Wikibase@master] Infrastructure for hierarchicaly adressable entities

https://gerrit.wikimedia.org/r/378786

thiemowmde moved this task from Backlog to Doing on the User-thiemowmde board.Nov 24 2017, 11:22 AM

Change 394070 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase@master] Allow extensions to decorate EntityStore and EntityRevisionLookup

https://gerrit.wikimedia.org/r/394070

Change 394072 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Decorate EntityStore and EntityRevisionLookup to support Forms

https://gerrit.wikimedia.org/r/394072

Change 394136 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Rename Lexeme::addForm to addNewForm

https://gerrit.wikimedia.org/r/394136

thiemowmde updated the task description. (Show Details)Nov 30 2017, 7:24 PM

Change 398443 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Wikibase@master] Add tests for invalid callbacks to TypeDispatchingEntity… classes

https://gerrit.wikimedia.org/r/398443

Change 394070 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Allow extensions to have entity-type-specific EntityStore/EntityRevisionLookup

https://gerrit.wikimedia.org/r/394070

Change 394072 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add EntityStore/EntityRevisionLookup specific for Forms

https://gerrit.wikimedia.org/r/394072

WMDE-leszek renamed this task from Make it possible to handle sub-entities in the storage layer of Wikibase to Make it possible to handle sub-entities in the storage layer of Wikibase (days: 1).Dec 18 2017, 11:19 AM

Change 378786 abandoned by Thiemo Kreuz (WMDE):
Infrastructure for hierarchicaly adressable entities

Reason:
Replaced by I8466121.

https://gerrit.wikimedia.org/r/378786

thiemowmde updated the task description. (Show Details)Dec 18 2017, 1:37 PM

Change 398443 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add tests for invalid callbacks to TypeDispatchingEntity… classes

https://gerrit.wikimedia.org/r/398443

Change 398844 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Deserialize form-level statement data

https://gerrit.wikimedia.org/r/398844

thiemowmde closed this task as Resolved.Dec 18 2017, 3:20 PM
thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from Review to Done on the Wikidata-Sprint-2017-12-06 board.
WMDE-leszek reopened this task as Open.Dec 18 2017, 3:25 PM

Let's close it on tomorrow's stand up!

This ticket is about structural support in the Wikibase.git code base, but https://gerrit.wikimedia.org/r/398844 is about the (previously incomplete) deserialization of forms in the lexeme code base. Sounds like two entirely separate concepts to me.

WMDE-leszek closed this task as Resolved.Dec 19 2017, 11:51 AM